View Issue Details

IDProjectCategoryView StatusLast Update
0002542SymmetricDSImprovementpublic2016-07-26 09:19
Reporterjosh-a-hicksAssigned Tojosh-a-hicks 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.7.31 
Target Version3.7.31Fixed in Version3.7.31 
Summary0002542: Allow ignored protocols and ciphers through properties for SSL
DescriptionWhile using SSL connections you can provide a comma separated list of protocols and/or ciphers to be ignored.
TagsNo tags attached.

Relationships

related to 0002381 closedelong Disable TLSv1 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.7 8c43394e

2016-03-30 07:30:52

josh-a-hicks

Details Diff
0002542 Added the ability to ignore ciphers and protocols with system
properties while using SSL.

0002542
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/SymmetricWebServer.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/security/SecurityConstants.java Diff File

Issue History

Date Modified Username Field Change
2016-03-29 14:06 josh-a-hicks New Issue
2016-03-29 14:06 josh-a-hicks Status new => assigned
2016-03-29 14:06 josh-a-hicks Assigned To => josh-a-hicks
2016-03-30 07:31 josh-a-hicks Status assigned => resolved
2016-03-30 07:31 josh-a-hicks Resolution open => fixed
2016-03-30 08:01 josh-a-hicks Changeset attached => SymmetricDS 3.7 8c43394e
2016-04-05 16:45 elong Relationship added related to 0002381
2016-07-26 09:19 admin Fixed in Version => 3.7.31